Bug 82887 - why has fdisk option been removed?!
why has fdisk option been removed?!
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-27 23:27 EST by Jon Willeke
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-28 00:35:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Willeke 2003-01-27 23:27:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
In 8.0.92 and earlier, I had the option to accept a simple partion scheme
(/boot, swap, and /), to manually partition with Disk Druid, or to manually
partition with fdisk.  Now, in 8.0.93, the fdisk option is gone!

For anything but a throw-away install, I first partition with fdisk, then assign
mount points in Disk Druid.  The main reason is that I like to use logical
drives in an extended partition for everything but /boot.  For example:

  hda1: /boot
  hda2: extended
  hda5: swap
  hda6: physical volume
  hda7: physical volume
  ...

While it may seem picky to want a particular partition layout, I have a strong
preference for putting swap before other partitions, as that puts it on the
outer tracks, improving access and transfer times.  With fdisk, this is easy to
accomplish.  With Disk Druid, I have to monkey around until it's approximately
right.  This is hard enough for single-disk installs; I imagine it's worse for
multi-disk installs.

I don't care if you call fdisk "for experts," or hide it in the custom install,
so long as I can write the partition table, go back, and continue with Disk Druid.

Version-Release number of selected component (if applicable):
8.0.93

How reproducible:
Always

Steps to Reproduce:
1. Start a graphical install of Red Hat Linux 8.0.93
2. Select a clean install (I tried work station and custom)
3. Continue until you reach the partition choices
    

Actual Results:  I see two options: automatically partition, or manually
partition with Disk Druid.

Expected Results:  There should be a third option, to manually partition with fdisk.

Additional info:
Comment 1 Jeremy Katz 2003-01-28 00:35:49 EST
fdisk was gone in the first phoebe.  It will not be coming back.  Users who know
how to use fdisk and want to can do so from tty2.

Note You need to log in before you can comment on or make changes to this bug.